function $AdfGeckoUIInputEvent$$($sourceComponent$$8$$, $type$$123$$, $event$$67$$) {
  this.Init($sourceComponent$$8$$, $type$$123$$, $event$$67$$);
}
$goog$exportSymbol$$("AdfGeckoUIInputEvent", $AdfGeckoUIInputEvent$$);
$AdfObject$$.$createSubclass$($AdfGeckoUIInputEvent$$, $AdfDomUIInputEvent$$);
$AdfGeckoUIInputEvent$$.prototype.Init = function $$AdfGeckoUIInputEvent$$$$Init$($eventTarget$$2_source$$115_theDocument$$4$$, $type$$124$$, $event$$68$$) {
  $AdfGeckoUIInputEvent$$.$superclass$.Init.call(this, $eventTarget$$2_source$$115_theDocument$$4$$, $type$$124$$, $event$$68$$);
  $eventTarget$$2_source$$115_theDocument$$4$$ = $event$$68$$.target;
  try {
    $eventTarget$$2_source$$115_theDocument$$4$$.nodeType;
  } catch ($e$$46$$) {
    $eventTarget$$2_source$$115_theDocument$$4$$ = $AdfAgent$$.$AGENT$.$getDomDocument$(), $eventTarget$$2_source$$115_theDocument$$4$$ = $AdfDomUtils$$.$getElementAtPoint$($eventTarget$$2_source$$115_theDocument$$4$$.documentElement, $event$$68$$.pageX, $event$$68$$.pageY);
  }
  $AdfAssert$$.$assertDomNode$($eventTarget$$2_source$$115_theDocument$$4$$);
  this.$_target$ = $eventTarget$$2_source$$115_theDocument$$4$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.Init", {Init:$AdfGeckoUIInputEvent$$.prototype.Init});
$AdfGeckoUIInputEvent$$.prototype.$getNativeEventTarget$ = function $$AdfGeckoUIInputEvent$$$$$getNativeEventTarget$$() {
  return this.$_target$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.getNativeEventTarget", {$getNativeEventTarget$:$AdfGeckoUIInputEvent$$.prototype.$getNativeEventTarget$});
$AdfGeckoUIInputEvent$$.prototype.$getOffsetX$ = function $$AdfGeckoUIInputEvent$$$$$getOffsetX$$() {
  var $boxObject$$5_rootDomElement$$ = this.$GetSourceDomElement$(), $boxObject$$5_rootDomElement$$ = $AdfGeckoAgent$$.$_getBoxObjectFor$($boxObject$$5_rootDomElement$$);
  return this.Event.pageX - $boxObject$$5_rootDomElement$$.x;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.getOffsetX", {$getOffsetX$:$AdfGeckoUIInputEvent$$.prototype.$getOffsetX$});
$AdfGeckoUIInputEvent$$.prototype.$getOffsetY$ = function $$AdfGeckoUIInputEvent$$$$$getOffsetY$$() {
  var $boxObject$$6_rootDomElement$$1$$ = this.$GetSourceDomElement$(), $boxObject$$6_rootDomElement$$1$$ = $AdfGeckoAgent$$.$_getBoxObjectFor$($boxObject$$6_rootDomElement$$1$$);
  return this.Event.pageY - $boxObject$$6_rootDomElement$$1$$.y;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.getOffsetY", {$getOffsetY$:$AdfGeckoUIInputEvent$$.prototype.$getOffsetY$});
$AdfGeckoUIInputEvent$$.prototype.$getPageX$ = function $$AdfGeckoUIInputEvent$$$$$getPageX$$() {
  return this.Event.pageX;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.getPageX", {$getPageX$:$AdfGeckoUIInputEvent$$.prototype.$getPageX$});
$AdfGeckoUIInputEvent$$.prototype.$getPageY$ = function $$AdfGeckoUIInputEvent$$$$$getPageY$$() {
  return this.Event.pageY;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.getPageY", {$getPageY$:$AdfGeckoUIInputEvent$$.prototype.$getPageY$});
$AdfGeckoUIInputEvent$$.prototype.$getKeyCode$ = function $$AdfGeckoUIInputEvent$$$$$getKeyCode$$() {
  var $keyCode$$8$$ = this.Event.keyCode;
  return $keyCode$$8$$ ? $keyCode$$8$$ : this.Event.which;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfGeckoUIInputEvent.prototype.getKeyCode", {$getKeyCode$:$AdfGeckoUIInputEvent$$.prototype.$getKeyCode$});
